Part Cylinder

From FreeCAD Documentation
Revision as of 05:24, 12 February 2022 by C4e (talk | contribs) (→‎Notes)

Part Cylinder

Menu location
Part → Primitives → Cylinder
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

Creates a simple parametric cylinder, with position, angle, radius and height parameters.

Usage

  1. Switch to the Part Workbench
  2. There are several ways to invoke the command:
    • Press the Cylinder button in the toolbar.
    • Select Part → Primitives → Cylinder entry from the top menu

Result: The default result is a full cylinder with a radius of 2 mm and height of 10 mm, centered along the global z-axis and attached to the global xy-plane.

The cylinder properties can later be edited, either in the Property editor or by double-clicking the cylinder in the Tree view.

a cylinder created with the Cylinder tool

Example

Part Cylinder scripting example.

A Part Cylinder object with the values of the bottom scripting example are shown here.

The described placement and orientation changes are not shown because of simplicity for the given example.


Notes

The view direction of the two angles are from outside to the center point.

A positive angle rotates the Part Cylinder counterclockwise.

Properties

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

  • DataAngle (Angle): The rotation angle of the cylinder. The rotation angle permits the creation of a portion of cylinder (it is set to 360° by default).
  • DataHeight (Height): The height of the cylinder. This is the dimension in the Z direction.
  • DataRadius (Radius): The radius of the cylinder. This defines a plane in the XY area.
  • DataFirst Angle (First Angle): Angle in first direction. This is the rotation around the Y axis. introduced in version 0.20
  • DataSecond Angle (Second Angle): Angle in second direction. This is the rotation around the X axis.introduced in version 0.20

Limitations

Scripting

A Part Cylinder can be created using the following function:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

You can access and modify attributes of the cylinder object.

The name of the object can be easily changed by

cylinder.Label = "new cylinderName"

For example, you may wish to modify the width, length or of the start and finish vertex.

cylinder.Radius = 10
cylinder.Height = 25
cylinder.Angle = 270
cylinder.FirstAngle = 30
cylinder.SecondAngle = 45

The result is a three-quarter cylinder.

You can change its placement and orientation with:

cylinder.Placement = FreeCAD.Placement(FreeCAD.Vector(2, 4, 6), FreeCAD.Rotation(30, 45, 10))